package com.ruoyi.model.service;

import java.util.List;
import com.ruoyi.model.domain.AppWallet;

/**
 * 钱包Service接口
 * 
 * @author ruoyi
 * @date 2025-03-08
 */
public interface IAppWalletService 
{
    /**
     * 查询钱包
     * 
     * @param id 钱包主键
     * @return 钱包
     */
    public AppWallet selectAppWalletById(Long id);

    /**
     * 查询钱包列表
     * 
     * @param appWallet 钱包
     * @return 钱包集合
     */
    public List<AppWallet> selectAppWalletList(AppWallet appWallet);

    /**
     * 新增钱包
     * 
     * @param appWallet 钱包
     * @return 结果
     */
    public int insertAppWallet(AppWallet appWallet);

    /**
     * 修改钱包
     * 
     * @param appWallet 钱包
     * @return 结果
     */
    public int updateAppWallet(AppWallet appWallet);

    /**
     * 批量删除钱包
     * 
     * @param ids 需要删除的钱包主键集合
     * @return 结果
     */
    public int deleteAppWalletByIds(Long[] ids);

    /**
     * 删除钱包信息
     * 
     * @param id 钱包主键
     * @return 结果
     */
    public int deleteAppWalletById(Long id);

    /**
     * 查询钱包
     *
     * @param userId 用户编号
     * @return 钱包
     */
    public List<AppWallet> getAppWalletByUserId(Long userId);
}
